Command-line options
Prev | Chapter 3. Usage | Next

## Command-line options

Table 3.1. Command-line options

Short option | Long option | Function
--- | --- | ---
-x destination archive | --extract-to=destination archive | Extract archive to the destination directory and quit.
-e archive | --extract archive | Extract archive by asking the destination directory and quit.
-d archive | --ensure-directory archive | Extract archive to a containing directory and quit.
-m [archive1 ... archiveN] | --multi-extract [archive1 ... archiveN] | Open the Multi-Extract dialog to extract the given archives. Shell wildcards such as * are allowed.
-c file1 ... fileN | --compress=file1 ... fileN | Add the given files by asking the name of the archive and quit. If the archive doesn't exist it will be created. The filenames must be separated by spaces.
-a archive | --add archive | Add to archive by asking which files and quit.
-i | --info | Show found command-line programs to be used and exit.
-v | --version | Show version and exit.
-? | --help | Show help information and quit.

Xarchiver supports also all generic GTK+ options, a list is available on the help screen.

Prev | Up | Next
Getting started | Home | General